#define IR_RECEIVE_PIN 7 // 리시버 센서 모듈과 연결된 핀 선언(7번)
#include <IRremote.hpp> // 적외선 송수신을 하기 위한 라이브러리 호출

void setup()  // 초기화
{
  Serial.begin(9600);  //시리얼 통신 설정
  IrReceiver.begin(IR_RECEIVE_PIN, ENABLE_LED_FEEDBACK); //Start the receiver
}

/*적외선 수신값을 받아서 시리얼 모니터로 표시한다.*/
void loop() {  // 무한루프
  if (IrReceiver.decode()) {  // 적외선 수신받았을 경우
    Serial.println(IrReceiver.decodedIRData.decodedRawData, HEX);
    IrReceiver.resume(); // Enable receiving of the next value 
  }
}
